.merge-request
  = render "projects/merge_requests/show/mr_title"
  = render "projects/merge_requests/show/mr_box"

  .alert.alert-danger
    %p
      = t('merge_request_section.cannot_render')
      - if @merge_request.for_fork? && !@merge_request.source_project
        = t('merge_request_section.fork_project_removed')
      - elsif !@merge_request.source_branch_exists?
        %span.label.label-inverse= @merge_request.source_branch
        = t('merge_request_section.not_exist')
        %span.label.label-info= @merge_request.source_project_path
      - elsif !@merge_request.target_branch_exists?
        %span.label.label-inverse= @merge_request.target_branch
        = t('merge_request_section.not_exist')
        %span.label.label-info= @merge_request.target_project_path
      - else
        = t('merge_request_section.internal_error')

    %strong
      = t('merge_request_section.please_close_m_r')